package bouton;


import java.awt.Dimension;

import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.WindowConstants;

public class GestionFenetresBonjour {
	
	public static final String FICHIER = "Fichier";
	public static final String NOUVEAU = "Nouveau";
	public static final String FERMER = "Fermer";
	public static final String QUITTER = "Quitter";
	
	public final static String MESSAGE_QUITTER = "Voulez-vous vraiement quitter ?";
	public final static String TITRE_QUITTER = "Quitter ?";

	private int nFenetres = 0;

	public void quitter() {
		int answer = JOptionPane.showConfirmDialog(null, MESSAGE_QUITTER,
				TITRE_QUITTER, JOptionPane.YES_NO_OPTION);
		if (answer == JOptionPane.YES_OPTION) {
			System.exit(0);
		}
	}

	public JFrame creerFenetre() {
		JFrame frame = new FenetreBonjour(this);
		int pos = 30 * (nFenetres % 5);
		frame.setLocation(pos, pos);
		frame.setPreferredSize(new Dimension(960, 720));
		frame.setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
		frame.pack();
		frame.setVisible(true);
		nFenetres++;
		return frame;
	}

	public void fermerFenetre(JFrame frame) {
		if (nFenetres > 1) {
			nFenetres--;
			frame.dispose();
		} else {
			quitter();
		}
	}

	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				new GestionFenetresBonjour().creerFenetre();
			}
		});
	}
}